--hp, str, mag, ph, fi, wa, wi, ea, exp, spd, spr, name
--should add exp to end, simplify coding
monsterTable = {}
monsterTable[1] =  {  10,  4,  0,  6,  5,  6,  7,  8,   20,  4,  0,  0 }
monsterTable[2] =  {  12,  6,  0,  7,  4,  3,  6,  2,   25,  5,  1,  1 }
monsterTable[3] =  {  14,  4,  0,  8,  5,  6,  7,  8,   30,  5,  3,  2 }
monsterTable[4] =  {  12,  4,  0,  9,  5,  6,  7,  8,   40,  6,  4,  3 }

monsterTable[5] =  {  20, 14,  0,  6,  5,  6,  7,  8,   40,  9,  5,  4 }
monsterTable[6] =  {  22, 16,  0,  7,  4,  3,  6,  2,   45,  8,  6,  5 }
monsterTable[7] =  {  24, 14,  0,  8,  5,  6,  7,  8,   50,  8,  7,  6 }
monsterTable[8] =  {  22, 14,  0,  9,  5,  6,  7,  8,   60,  8,  8,  7 }

monsterTable[9] =  {  30, 14,  0, 10, 10, 10, 10, 10,   80, 10,  9,  8 }
monsterTable[10] = {  22,  6, 10,  5, 30, 30, 30, 30,   90, 12, 10,  9 }
monsterTable[11] = {  34, 18,  0,  8,  8,  8,  8,  8,  100, 12, 11, 10 }
monsterTable[12] = {  40, 15,  0, 12,  6,  6,  6,  6,   90, 11, 12, 11 }

monsterTable[13] = {  70, 30,  0, 14, 14, 14, 14, 14,  170, 16, 13, 12 }
monsterTable[14] = {  40, 14, 40,  2, 50, 50, 50, 50,  250, 18, 14, 13 }
monsterTable[15] = {  90, 24,  0, 12, 10, 10, 10, 10,  190, 17, 15, 14 }
monsterTable[16] = { 120, 32,  0, 16,  0, 10, 10, 10,  200, 18, 16, 15 }

monsterTable[17] = { 140, 38,  0, 20, 15, 15, 15, 15,  240, 20, 17, 16 }
monsterTable[18] = { 150,  6, 50,  4, 55, 55, 55, 55,  250, 18, 18, 17 }
monsterTable[19] = { 120, 23, 23, 12, 12, 12, 12, 12,  300, 50, 19, 18 }
monsterTable[20] = { 160, 34, 10, 22, 10, 10, 10, 10,  400, 40, 20, 19 }

monsterTable[21] = { 200, 44,  0, 30, 25, 26, 27, 28,  600, 50, 21, 20 }
monsterTable[22] = { 220,  6, 60, 15, 60, 60, 60, 60,  625, 60, 22, 21 }
monsterTable[23] = { 220, 54, 48, 20, 20, 21, 21, 20,  670, 50, 23, 22 }
monsterTable[24] = { 190, 60, 15, 39, 35, 35, 35, 35,  730, 55, 24, 23 }

monsterTable[25] = { 280, 74,  0, 46, 25, 26, 27, 28,  900, 55, 25, 24 }
monsterTable[26] = { 290,  6, 70, 20, 65, 65, 65, 65,  950, 40, 26, 25 }
monsterTable[27] = { 330, 76,  0, 38, 38, 38, 37, 38,  890, 60, 27, 26 }
monsterTable[28] = { 230, 80,  0, 69, 25, 26, 27, 28, 1050, 30, 28, 27 }

monsterTable[29] = { 400, 83,  0, 56, 45, 46, 47, 48, 1200, 40, 29, 28 }
monsterTable[30] = { 410,  9, 80, 60, 54, 54, 54, 54, 1250, 30, 30, 29 }
monsterTable[31] = { 390, 65, 65, 58, 55, 56, 57, 58, 1430, 50, 31, 30 }
monsterTable[32] = { 360, 89,  0, 70, 70, 70, 70, 70, 2040, 20, 32, 31 }

-- e = 2.71828
-- use this for leveling 
-- e^sqrt(currentlevel) is exp needed to levelup
-- for e^1 = 2.718 * 100 or 271 pts
-- for e^sqrt(30) = 2XX * 100 or 20000 pts

function getEnemy( enemy )
  return monsterTable[enemy][1]
end

function getEnemyExp( enemy )
  return monsterTable[enemy][9]
end

function getEnemySpd( enemy )
  return monsterTable[enemy][10]
end
function getEnemySprite( enemy )
  return monsterTable[enemy][11]
end
function getEnemyName( enemy )
  return monsterTable[enemy][12]
end

function enemyDmg( enemy, type, defense )
  return monsterTable[enemy][type] - defense
end

function calcDmg( attack, enemy, type )
  return attack - monsterTable[enemy][type]
end

--ph : phys, fi : fire, wa : water, wi : wind, ea : earth
function calcAttack( dmg, type, defph, deffi, defwa, defwi, defea )
  if type == 0 then
    return dmg - defph
  elseif type == 1 then
    return dmg - deffi
  elseif type == 2 then
    return dmg - defwa
  elseif type == 3 then
    return dmg - defwi
  elseif type == 4 then
    return dmg - defwa
  else
    r = deffi + defwa + defwi + defea
    s = r / 4
    return dmg - s
  end
end

function calcRun( p, e, b )
  if b == 1 then
    return 2
  elseif p > e then
    return 1
  else
    return 0
  end
end
